SDL_GetGamepadProduct(3)

NAME
SDL_GetGamepadProduct - Get the USB product ID of an opened gamepad, if available.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

Uint16 SDL_GetGamepadProduct(SDL_Gamepad *gamepad);

DESCRIPTION
If the product ID isn't available this function returns 0.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the USB product ID, or zero if unavailable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadProductForID(3)